/* Problem URL: https://codeforces.com/gym/103388/problem/E */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n;
    cin >> n;

    int now = 0;
    int dir = 0;

    now = 0;
    dir = 0;

    V<queue<int>> fds(2);

    while (n--) {
        int t, d;
        cin >> t >> d;

        fds[d].push(t);
    }

    while (!fds[0].empty() || !fds[1].empty()) {
        if (fds[0].empty()) {
            dir = 1;
        } else if (fds[1].empty()) {
            dir = 0;
        } else {
            dir = fds[0].front() > fds[1].front();
        }

        if (fds[dir].front() <= now) {
            while (!fds[dir].empty() && fds[dir].front() <= now) {
                fds[dir].pop();
            }
            now += 10;

            while (!fds[dir].empty() && fds[dir].front() <= now) {
                now = fds[dir].front() + 10;
                fds[dir].pop();
            }

            continue;
        }

        now = fds[dir].front() + 10;
        fds[dir].pop();

        while (!fds[dir].empty() && fds[dir].front() <= now) {
            now = fds[dir].front() + 10;
            fds[dir].pop();
        }
    }

    cout << now << '\n';
}
